Workflow Get Aggregated

Workflow Get Aggregated
Get aggregated list of workflows for all the configurations

Get aggregated list of workflows, grouped by id and name, along with information for all the configurationsin which such a workflow is present

Request
URI
GET
https://{vcfa-fqdn}/vro/aggregated-workflows
COPY
Query Parameters
page
Required

page


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with list of workflows

Returns PageAggregatedWorkflow of type(s) */*
{
    "totalPages": 0,
    "totalElements": 0,
    "size": 0,
    "content": [
        {
            "id": "string",
            "name": "string",
            "ownerId": "string",
            "orgId": "string",
            "createdOn": 0,
            "modifiedOn": 0,
            "description": "string",
            "count": 0,
            "workflowId": "string",
            "integrations": [
                {
                    "endpointConfigurationLink": "string",
                    "name": "string",
                    "endpointUri": "string"
                }
            ],
            "selfLink": "string"
        }
    ],
    "number": 0,
    "sort": [
        {
            "direction": "string",
            "nullHandling": "string",
            "ascending": false,
            "property": "string",
            "ignoreCase": false
        }
    ],
    "numberOfElements": 0,
    "pageable": {
        "offset": 0,
        "sort": [
            {
                "direction": "string",
                "nullHandling": "string",
                "ascending": false,
                "property": "string",
                "ignoreCase": false
            }
        ],
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "unpaged": false
    },
    "first": false,
    "last": false,
    "empty": false
}

202

Accepted

{
    "message": "string",
    "messageId": "string",
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0,
    "details": [
        "string"
    ],
    "serverErrorId": "string",
    "documentKind": "string",
    "certificateInfo": {
        "certificate": "string",
        "properties": {
            "properties": "string"
        },
        "documentKind": "string"
    },
    "internalErrorCode": 0
}

400

Bad Request

Returns ServiceErrorResponse of type(s) */*
{
    "message": "string",
    "messageId": 0,
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0
}

403

Forbidden

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

404

Not Found

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

409

Conflict

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


417

Expectation Failed

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/vro/aggregated-workflows?page=v